Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Программные продукты Mozilla Foundation: Firefox, Thunderbird, Seamonkey etc  (Прочитано 56018 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн spv82

  • Любитель
  • *
  • Сообщений: 97
    • Просмотр профиля
Надеюсь, и у нас скоро починят.
Это ошибка мейнтейнера. Сегодня-завтра ожидается публикация пакетов с багфиксом https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1733970

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1322
  • Ubuntu 17.10
    • Просмотр профиля
spv82, спасибо за информацию! Прекрасная новость :) Ждём обновления.
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14270
  • Я не слышу.
    • Просмотр профиля
нужно начало страна закончиться, а потом обновился.
Витя, всех уже надоел." (с)

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1322
  • Ubuntu 17.10
    • Просмотр профиля
В 17.10 обновление пришло. Поисковые предположения Google снова работают :)
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14270
  • Я не слышу.
    • Просмотр профиля
опять 57.0 ?
должно 57.1 .
надо история 57.0 поломался.
Витя, всех уже надоел." (с)

Оффлайн Haron Prime

  • Автор темы
  • INQUISITOR
  • Администратор
  • Старожил
  • *
  • Сообщений: 11021
  • Arch Linux & XMonad
    • Просмотр профиля
Интересное дополнение - https://addons.mozilla.org/ru/firefox/addon/chrome-store-foxified/
Позволяет конвертировать дополнения хрома/оперы в формат *.xpi и устанавливать их в firefox 57 и выше.
Результат не 100% - из 5-ти опробованых мною верификацию прошли три. Два оказались несовместимыми из-за разницы в API хрома и фокса.
Из трёх прошедших верификацию два полностью работоспособны, а одно частично.
Для использования этого дополнения нужно зарегистрироваться на АМО как разработчик и получить ключи к API.

Цитировать
This add-on is for users who want to install Chrome extensions into Firefox. As Mozilla completes the WebExtensions API more and more Chrome extensions will work in Firefox.

No Google account is needed for this to work. If you do want to install the addon permanently, you will need an account on this website (addons.mozilla.org) - this will allow the addon to be "signed".

« Последнее редактирование: 29 Ноябрь 2017, 13:24:45 от Haron Prime »
У НАС ТУТ НЕ ДЕМОКРАТИЯ!

Оффлайн Punko

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 2576
  • Не пей вина, Гертруда...
    • Просмотр профиля
    • Личный блох
Haron Prime, спасибо.
Лучше б оно позволяло конвертировать из старого фокса дополнения в новый. Но, не дождёмся :)
Don't waste your time on coffins today!
Пишу на форуме строго пьяный!

Оффлайн Haron Prime

  • Автор темы
  • INQUISITOR
  • Администратор
  • Старожил
  • *
  • Сообщений: 11021
  • Arch Linux & XMonad
    • Просмотр профиля
Лучше б оно позволяло конвертировать из старого фокса дополнения в новый.
Такого точно не будет - слишком велика разница в API
У НАС ТУТ НЕ ДЕМОКРАТИЯ!

Оффлайн Punko

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 2576
  • Не пей вина, Гертруда...
    • Просмотр профиля
    • Личный блох
Haron Prime, там некоторые штуки нельзя реализовать в принципе, насколько я знаю.
Новый АПИ такого не позволяет. Например, VimFX.
Don't waste your time on coffins today!
Пишу на форуме строго пьяный!

Оффлайн Haron Prime

  • Автор темы
  • INQUISITOR
  • Администратор
  • Старожил
  • *
  • Сообщений: 11021
  • Arch Linux & XMonad
    • Просмотр профиля
там некоторые штуки нельзя реализовать в принципе, насколько я знаю.
Так и есть. По крайней мере на текущий момент. Может со временем что-то и поменяется, т.к. api фокса ещё не полностью допилен.
Но такие расширения, как в твоём примере, вряд ли вообще когда-нибудь будут работать в новом фоксе. Может со временем кто-нибудь и попробует реализовать нечто подобное, только боюсь, что результат будет весьма кривокостыльный и с ограниченными возможностями.
Сейчас даже жестов толковых нет. Точнее, есть дополнения, которые достаточно неплохо работают на винде, судя по комментариям на русскоязычном форуме mozilla, но вот с линухом и маком у них весьма криво из-за ПКМ.
У НАС ТУТ НЕ ДЕМОКРАТИЯ!

Оффлайн Punko

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 2576
  • Не пей вина, Гертруда...
    • Просмотр профиля
    • Личный блох
Haron Prime, Грустно всё это..
Don't waste your time on coffins today!
Пишу на форуме строго пьяный!

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1322
  • Ubuntu 17.10
    • Просмотр профиля
Обновление Firefox 57.0.1

Цитата: OpenNET
Подготовлен корректирующий выпуск Firefox 57.0.1, в котором устранено несколько ошибок. В примечании к выпуску также упоминается устранение уязвимостей, но подробности о них пока не опубликованы.
Решённые проблемы:
    • Устранено искажение цвета при воспроизведении видеороликов YouTube на системах с некоторыми графическими платами AMD Radeon;
    • Исправлена ошибка, приводящая к потере изменений в настройках после перезапуска браузера, если в пути к файлу с настройками prefs.js присутствуют каталоги с не ascii символами;
    • Решена проблема с крахом Google map на системах с macOS, в которых применяется GPU Intel HD Graphics 3000;
    • Включена блокировка подстановки клиентской библиотеки, используемой в дополнении RealPlayer Free, так как она негативно влияет на производительность браузера.

Ссылка на новость
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14270
  • Я не слышу.
    • Просмотр профиля
56.0.2 мои лучше, а 57.0.1 чуть жестко двиг, старый Pentium4-3.0gnz-2gb.
Витя, всех уже надоел." (с)

 

Страница сгенерирована за 1.258 секунд. Запросов: 24.